Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006196OCamlOCaml internal build/install (Makefiles, configure)public2013-09-29 14:492014-05-30 15:06
Reporterargp 
Assigned Toshinwell 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSOS XOS Versionany > 10.7
Product Version4.01.0 
Target VersionFixed in Version4.02.0+dev 
Summary0006196: 32-bit build on OS X fails
DescriptionA 32-bit build on OS X fails always if one follows the steps suggested in the INSTALL file.

The problem lies in the fact that if the so called "host triplet" is not defined, the configure script uses the define -DTARGET_amd64 causing the build to fail.
Steps To ReproduceOn an OS X system follow the INSTALL file and do:

./configure -cc "gcc -m32" -as "as -arch i386" -aspp "gcc -m32 -c"
make world.opt

The above fails always.
Additional InformationIn order to fix this, line 160 of the INSTALL file needs to be changed from this:

160 ./configure -cc "gcc -m32" -as "as -arch i386" -aspp "gcc -m32 -c"

to this:

160 ./configure -host "i386-apple-darwin11.4.2" -cc "gcc -arch i386 -m32" -as "as -arch i386" -aspp "gcc -arch i386 -m32 -c"

In other words, the so called "host triplet" needs to be defined during the configure step.
Tagspatch
Attached Files

- Relationships

-  Notes
(0011596)
shinwell (developer)
2014-05-30 14:26

I'm investigating whether we can just fix the configure script.
(0011605)
shinwell (developer)
2014-05-30 15:06

...apparently not. The problem is that the host triplet is detected as 64-bit.

The proposed instructions seem reasonable; I re-validated them on a recent Mac OS X system, and they are committed to 4.02 and trunk now.

- Issue History
Date Modified Username Field Change
2013-09-29 14:49 argp New Issue
2014-01-22 16:28 doligez Tag Attached: patch
2014-05-30 14:26 shinwell Note Added: 0011596
2014-05-30 14:26 shinwell Assigned To => shinwell
2014-05-30 14:26 shinwell Status new => assigned
2014-05-30 15:06 shinwell Note Added: 0011605
2014-05-30 15:06 shinwell Status assigned => resolved
2014-05-30 15:06 shinwell Fixed in Version => 4.02.0+dev
2014-05-30 15:06 shinwell Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker